import { inject, provide } from 'vue';
export const SliderInternalContextKey = Symbol('sliderContextKey');
export function useProvideSliderInternal(state) {
  provide(SliderInternalContextKey, state);
}
export function useInjectSliderInternal() {
  return inject(SliderInternalContextKey, {});
}